summaryrefslogtreecommitdiff
path: root/web/ws-push
diff options
context:
space:
mode:
authorGeorge Abbott <george@gabbott.dev>2023-10-31 17:54:07 +0000
committerGeorge Abbott <george@gabbott.dev>2023-10-31 17:54:07 +0000
commit4d0bd914e7c1ee65f4036e60149a7b891906a5d3 (patch)
treec2a6751823e064e003cd4f6166df07bfc106d7eb /web/ws-push
Commit all to date.
Diffstat (limited to 'web/ws-push')
-rwxr-xr-xweb/ws-push19
1 files changed, 19 insertions, 0 deletions
diff --git a/web/ws-push b/web/ws-push
new file mode 100755
index 0000000..768e9ef
--- /dev/null
+++ b/web/ws-push
@@ -0,0 +1,19 @@
+#!/bin/sh
+# ws-push
+# Run without arguments. Pushed the local copy of the website to the server.
+
+if [ -z "$REMOTE_URL" ] ; then
+ echo "REMOTE_URL not set!"
+ exit 1
+fi
+
+if [ -z "$WS_REMOTE_ACCT" ] ; then
+ echo "WS_REMOTE_ACCT not set!"
+ exit 2
+fi
+
+SERVER_PATH="/var/rsync-www"
+SERVER_DEST="$WS_REMOTE_ACCT:$SERVER_PATH"
+LOCAL_PATH="$HOME/web/www/" # Don't forget the trailing slash!
+
+rsync -azPv --delete "$LOCAL_PATH" "$SERVER_DEST"